GET/projects/api/v3/company/{id}/quotes.json

Get a list of quotes based on filter criteria.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Query Params

  • Name
    status
    Type
    string
    Description

    filter by quote status

    Default
    all
    Allowed values
    • all
    • open
    • draft
    • expired
    • rejected
    • accepted
  • Name
    startIssueDate
    Type
    string
    Description

    Filter by start issue date

  • Name
    sortBy
    Type
    string
    Description

    order by

    Default
    issueDate
    Allowed values
    • quotenumber
    • issueDate
    • createdAt
  • Name
    searchTerm
    Type
    string
    Description

    Filter by search term

  • Name
    orderMode
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    endIssueDate
    Type
    string
    Description

    Filter by end issue date

  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    includeSectionItems
    Type
    boolean
    Description

    include section items

    Default
    false
  • Name
    clientView
    Type
    boolean
    Description

    View the quote as a client

    Default
    true
  • Name
    updatedBy
    Type
    array[integer]
    Description

    Filter by last updated by list of users

    Default
    []
    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • users
    • companies
    • projects
    • currencies

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    QuotesResponse contains information about a group of quotes.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

QuotesResponse
{  "included": {    "companies": {      "additionalProp": {        "accounts": 0,        "addressOne": "string",        "addressTwo": "string",        "budgetDistribution": [          {            "color": "string",            "companyId": 0,            "count": 0,            "from": 0,            "to": 0          }        ],        "canSeePrivate": true,        "cid": "string",